- hosts: all:!jail:!vm:!server
  vars:
    ansible_become: True
  roles:
    - sudo
    - doas
    - users
    - package_manager
    - zfs
    - zrepl
    - zsh
    - network
    - sshd
    - base
    - firewall
    - cpu
    - ntp
    - nvme
    - hosts
    - build
    - sound
    - graphics
    - power_management
    - gpg
    - fonts
    - alacritty
    - sway
    - emacs
    - firefox
    - devfs
    - ssh_client
    - sshfs
    - jail
    - fuse
    - autofs
    - exfat
    - bhyve
    - bluetooth
    - media
    - kubernetes
    - google_cloud_sdk
    - ansible
    - wireguard
    - portshaker
    - android
    - latex
    - python
    - pyenv
    - webcam
    - docker
    - vscode
    - javascript
    - launch_keyboard
    - lvfs
    - restaurant_health_rating
    - wasm
    - noise_suppression

- hosts: nat_dhcp:homeserver_nat_dhcp:mrmanager_nat_dhcp
  vars:
    ansible_become: True
  roles:
    - jail_nat_dhcp

- hosts: poudriereodo:poudrieremrmanager
  vars:
    ansible_become: True
  roles:
    - sudo # for poudboot script
    - fstab
    - package_manager
    - termcap
    - portshaker
    - poudriere
    - poudrierenginx

- hosts: mrmanager
  vars:
    ansible_become: True
  roles:
    - sudo
    - doas
    - users
    - package_manager
    - zfs
    - zrepl
    - zsh
    - network
    - sshd
    - base
    - firewall
    - cpu
    - ntp
    - nvme
    - hosts
    - build
    - devfs
    - jail
    - bhyve
    - wireguard
    - emacs
    - mrmanager

- hosts: admin_git:public_dns
  vars:
    ansible_become: True
  roles:
    - sudo
    - doas
    - users

- hosts: public_dns
  vars:
    ansible_become: True
  roles:
    - sudo
    - doas
    - users
    - public_dns

- hosts: odolinux:odofreebsd:odowork
  vars:
    ansible_become: True
  roles:
    - framework_laptop

- hosts: homeserver
  vars:
    ansible_become: True
  roles:
    - homeserver

- hosts: odowork
  vars:
    ansible_become: True
  roles:
    - odowork

- hosts: sftp
  vars:
    ansible_become: True
  roles:
    - users
    - sftp

- hosts: bastion
  vars:
    ansible_become: True
  roles:
    - jail_bastion

- hosts: certificate
  vars:
    ansible_become: True
  roles:
    - jail_certificate
